pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: [patch] net/py-twisted 9.0.0

On Tue, 29 Dec 2009 11:50:32 +0900, Oliver Gould <> 


I would like to update net/py-twisted to the newest stable Twisted 9.0.0:
Please review and let me know if there is any reason not to commit it.

many entries were removed from PLIST, is it OK?
(I don't know what's up from 8.x to 9.0.0)

Also note that I have added a post-install target to the Makefile that
generates the dropin.cache in twisted.plugins.  This eliminates
traceback warnings printed when running twistd(1).  (Anything that
installs twistd plugins would do the same, though I don't know of
packages that do that right now.)

You should do such a job in INSTALL script.
(and the generated file should be removed by DEINSTALL script)

If twistd plugins packages are in pkgsrc,
we may take care it like a sysutils/desktop-file-utils is doing.

"Of course I love NetBSD":-)
OBATA Akio /

Home | Main Index | Thread Index | Old Index